Bug 1576443 - Non-fatal POSTIN scriptlet failure in rpm package foreman-installer
Summary: Non-fatal POSTIN scriptlet failure in rpm package foreman-installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
: 1593080 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 13:04 UTC by Lukas Pramuk
Modified: 2019-11-05 23:18 UTC (History)
5 users (show)

Fixed In Version: foreman-installer-1.18.0-0.2.RC1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:28:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lukas Pramuk 2018-05-09 13:04:19 UTC
Description of problem:
Non-fatal POSTIN scriptlet failure in rpm package foreman-installer
Scriptlet attempts to use disabled "foreman" scenario by running foreman-installer


Version-Release number of selected component (if applicable):
@Satellite 6.4.0 Snap 2

How reproducible:
deterministic

Steps to Reproduce:
1. # yum upgrade
...
warning: /etc/foreman-installer/scenarios.d/foreman-answers.yaml created as /etc/foreman-installer/scenarios.d/foreman-answers.yaml.rpmnew
ERROR: Selected scenario is DISABLED, can not continue.
       Use --list-scenarios to list available options.
       You can also --enable-scenario SCENARIO to make the selected scenario available.
warning: %post(foreman-installer-1:1.18.0.develop-1develop.el7sat.noarch) scriptlet failed, exit status 27
Non-fatal POSTIN scriptlet failure in rpm package 1:foreman-installer-1.18.0.develop-1develop.el7sat.noarch

Actual results:
errors upon rpm upgrade

Expected results:
no errors please (avoid running upstream cmds for downstream rpms)


Additional info:

# rpm -q --scripts foreman-installer
postinstall scriptlet (using /bin/sh):
foreman-installer --scenario foreman --migrations-only > /dev/null

# foreman-installer --scenario foreman --migrations-only
ERROR: Selected scenario is DISABLED, can not continue.
       Use --list-scenarios to list available options.
       You can also --enable-scenario SCENARIO to make the selected scenario available.

# echo $?
27

Comment 2 Brad Buckingham 2018-06-22 20:02:39 UTC
*** Bug 1593080 has been marked as a duplicate of this bug. ***

Comment 3 Lukas Pramuk 2018-06-25 13:34:30 UTC
VERIFIED.

@satellite-6.4.0-9.beta.el7sat.noarch
foreman-installer-1.18.0-0.2.RC1.el7sat.noarch

# yum upgrade 

>>> no scriptlet errors

# rpm -q --scripts foreman-installer
<empty>

>>> foreman-installer rpm no longer runs upstream commands

Comment 4 Andrew 2018-06-25 15:57:40 UTC
See Bug 1593080 - Non-fatal POSTIN scriptlet failure in rpm package 1:foreman-installer-1.15.6.11-1.el7sat.noarch

Comment 5 Bryan Kearney 2018-10-16 19:28:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.